Mailinglist Archive: opensuse-updates (102 mails)

< Previous Next >
openSUSE-SU-2014:0362-1: moderate: ImageMagick: fixed buffer overflow in PSD image handling
openSUSE Security Update: ImageMagick: fixed buffer overflow in PSD image
handling
______________________________________________________________________________

Announcement ID: openSUSE-SU-2014:0362-1
Rating: moderate
References: #863838
Cross-References: CVE-2014-1958 CVE-2014-2030
Affected Products:
openSUSE 13.1
openSUSE 12.3
______________________________________________________________________________

An update that fixes two vulnerabilities is now available.

Description:


ImageMagick was updated to fix a buffer overflow in
handling of PSD images.


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 13.1:

zypper in -t patch openSUSE-2014-206

- openSUSE 12.3:

zypper in -t patch openSUSE-2014-206

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 13.1 (i586 x86_64):

ImageMagick-6.8.6.9-2.8.1
ImageMagick-debuginfo-6.8.6.9-2.8.1
ImageMagick-debugsource-6.8.6.9-2.8.1
ImageMagick-devel-6.8.6.9-2.8.1
ImageMagick-extra-6.8.6.9-2.8.1
ImageMagick-extra-debuginfo-6.8.6.9-2.8.1
libMagick++-6_Q16-2-6.8.6.9-2.8.1
libMagick++-6_Q16-2-debuginfo-6.8.6.9-2.8.1
libMagick++-devel-6.8.6.9-2.8.1
libMagickCore-6_Q16-1-6.8.6.9-2.8.1
libMagickCore-6_Q16-1-debuginfo-6.8.6.9-2.8.1
libMagickWand-6_Q16-1-6.8.6.9-2.8.1
libMagickWand-6_Q16-1-debuginfo-6.8.6.9-2.8.1
perl-PerlMagick-6.8.6.9-2.8.1
perl-PerlMagick-debuginfo-6.8.6.9-2.8.1

- openSUSE 13.1 (x86_64):

ImageMagick-devel-32bit-6.8.6.9-2.8.1
libMagick++-6_Q16-2-32bit-6.8.6.9-2.8.1
libMagick++-6_Q16-2-debuginfo-32bit-6.8.6.9-2.8.1
libMagick++-devel-32bit-6.8.6.9-2.8.1
libMagickCore-6_Q16-1-32bit-6.8.6.9-2.8.1
libMagickCore-6_Q16-1-debuginfo-32bit-6.8.6.9-2.8.1
libMagickWand-6_Q16-1-32bit-6.8.6.9-2.8.1
libMagickWand-6_Q16-1-debuginfo-32bit-6.8.6.9-2.8.1

- openSUSE 13.1 (noarch):

ImageMagick-doc-6.8.6.9-2.8.1

- openSUSE 12.3 (i586 x86_64):

ImageMagick-6.7.8.8-4.9.1
ImageMagick-debuginfo-6.7.8.8-4.9.1
ImageMagick-debugsource-6.7.8.8-4.9.1
ImageMagick-devel-6.7.8.8-4.9.1
ImageMagick-extra-6.7.8.8-4.9.1
ImageMagick-extra-debuginfo-6.7.8.8-4.9.1
libMagick++-devel-6.7.8.8-4.9.1
libMagick++5-6.7.8.8-4.9.1
libMagick++5-debuginfo-6.7.8.8-4.9.1
libMagickCore5-6.7.8.8-4.9.1
libMagickCore5-debuginfo-6.7.8.8-4.9.1
libMagickWand5-6.7.8.8-4.9.1
libMagickWand5-debuginfo-6.7.8.8-4.9.1
perl-PerlMagick-6.7.8.8-4.9.1
perl-PerlMagick-debuginfo-6.7.8.8-4.9.1

- openSUSE 12.3 (x86_64):

ImageMagick-devel-32bit-6.7.8.8-4.9.1
libMagickCore5-32bit-6.7.8.8-4.9.1
libMagickCore5-debuginfo-32bit-6.7.8.8-4.9.1
libMagickWand5-32bit-6.7.8.8-4.9.1
libMagickWand5-debuginfo-32bit-6.7.8.8-4.9.1

- openSUSE 12.3 (noarch):

ImageMagick-doc-6.7.8.8-4.9.1


References:

http://support.novell.com/security/cve/CVE-2014-1958.html
http://support.novell.com/security/cve/CVE-2014-2030.html
https://bugzilla.novell.com/863838


< Previous Next >
This Thread
  • No further messages